SystemOrganization addCategory: #ConfigurationOfCoral!

Object subclass: #ConfigurationOfCoral
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfCoral'!

!ConfigurationOfCoral commentStamp: 'StephaneDucasse 3/7/2011 11:02' prior: 0!
(ConfigurationOfCoral project version: '0.1') load
	some tests are broken and this is not normal. (I have some old images with AST.35 and it works)
	Probably the compiler changed: 
	
(ConfigurationOfCoral project version: '0.2') load
	trying to use to the latest AST/petitparser....
	
(ConfigurationOfCoral project version: '0.4') load
	loading fs from squeaksource
	fixed petitparser loading (should use configurationOfPetitParser)
	loading OSProcess in version (strange it was not in version0.2)
	using configurationOf!

!ConfigurationOfCoral class methodsFor: 'as yet unclassified' stamp: 'StephaneDucasse 6/29/2010 16:59'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfCoral class methodsFor: 'as yet unclassified' stamp: 'StephaneDucasse 6/29/2010 17:00'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
			self bootstrapPackage: 'Gofer-Core-lr.115' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfCoral class methodsFor: 'as yet unclassified' stamp: 'StephaneDucasse 6/29/2010 17:00'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfCoral class methodsFor: 'as yet unclassified' stamp: 'StephaneDucasse 6/29/2010 17:00'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfCoral class methodsFor: 'as yet unclassified' stamp: 'StephaneDucasse 6/29/2010 17:00'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfCoral class methodsFor: 'as yet unclassified' stamp: 'StephaneDucasse 6/29/2010 17:00'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfCoral class methodsFor: 'as yet unclassified' stamp: 'StephaneDucasse 6/29/2010 17:00'!
project

	^self new project! !

!ConfigurationOfCoral methodsFor: 'versions' stamp: 'DamienPollet 8/7/2011 02:52'!
baseline01: spec 
	<version: '0.1-baseline'>
	spec for: #common do: [ 
			spec blessing: #baseline.
			
			spec package: 'Filesystem' with: [
				spec repository: 'http://source.wiresong.ca/mc'. 	
			].
				
			spec package: 'AST-Core' with: [
				spec repository: 'http://www.squeaksource.com/rb'. 
			].
			
			spec package: 'OSProcess' with: [
				spec repository: 'http://www.squeaksource.com/OSProcess'. 
			].
			
			spec package: 'OSProcess-Tests' with: [
				spec repository: 'http://www.squeaksource.com/OSProcess';
					requires: 'OSProcess'
			].
	
			spec repository: 'http://source.lukas-renggli.ch/petit'.
			
			spec package: 'PetitParser' with: [
				spec requires: #('AST-Core') 
			].	
			
			spec package: 'PetitSmalltalk' with: [
				spec requires: #('PetitParser') 
			].
		
			spec package: 'PetitTest' with: [
				spec requires: #('PetitParser') 
			].
			
			spec repository: 'http://www.squeaksource.com/Coral'.
			spec package:  'Coral' with: [
				spec requires: #( 'Filesystem' 'OSProcess' 'PetitSmalltalk' )	
			].
		
			spec
				group: 'default' with: #('Coral' );
				group: 'tests' with: #( 'Coral' 'PetitTest' 'OSProcess-Tests' ).
		]! !

!ConfigurationOfCoral methodsFor: 'versions' stamp: 'DamienPollet 8/7/2011 02:52'!
baseline02: spec 
	<version: '0.2-baseline'>
	spec for: #common do: [ 
			spec blessing: #baseline.
			
			spec package: 'Filesystem' with: [
				spec repository: 'http://www.squeaksource.com/fs'. 	
			].
				
			spec package: 'AST-Core' with: [
				spec repository: 'http://www.squeaksource.com/rb'. 
			].
			
			spec package: 'OSProcess' with: [
				spec repository: 'http://www.squeaksource.com/OSProcess'. 
			].
			
			spec package: 'OSProcess-Tests' with: [
				spec repository: 'http://www.squeaksource.com/OSProcess';
					requires: 'OSProcess'
			].
	
			spec repository: 'http://source.lukas-renggli.ch/petit'.
			
			spec package: 'PetitParser' with: [
				spec requires: #('AST-Core') 
			].	
			
			spec package: 'PetitSmalltalk' with: [
				spec requires: #('PetitParser') 
			].
		
			spec package: 'PetitTest' with: [
				spec requires: #('PetitParser') 
			].
			
			spec repository: 'http://www.squeaksource.com/Coral'.
			spec package:  'Coral' with: [
				spec requires: #( 'Filesystem' 'OSProcess' 'PetitSmalltalk' )	
			].
		
			spec
				group: 'default' with: #('Coral' );
				group: 'tests' with: #( 'Coral' 'PetitTest' 'OSProcess-Tests' ).
		]! !

!ConfigurationOfCoral methodsFor: 'versions' stamp: 'DamienPollet 8/7/2011 02:52'!
baseline03: spec 
	<version: '0.3-baseline'>
	spec for: #common do: [ 
			spec blessing: #baseline.
			
			spec package: 'Filesystem' with: [
				spec repository: 'http://www.squeaksource.com/fs'. 	
			].
				
			spec package: 'AST-Core' with: [
				spec repository: 'http://www.squeaksource.com/rb'. 
			].
			
			spec project: 'OSProcess' with: [
				spec
					className: 'ConfigurationOfOSProcess';
					file: 'ConfigurationOfOSProcess';
					version: '4.4.2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].
		
	
			spec repository: 'http://source.lukas-renggli.ch/petit'.
			
			spec package: 'PetitParser' with: [
				spec requires: #('AST-Core') 
			].	
			
			spec package: 'PetitSmalltalk' with: [
				spec requires: #('PetitParser' 'PetitTest') 
			].
		
			spec package: 'PetitTest' with: [
				spec requires: #('PetitParser') 
			].
			
			spec repository: 'http://www.squeaksource.com/Coral'.
			spec package:  'Coral' with: [
				spec requires: #( 'Filesystem' 'OSProcess' 'PetitSmalltalk' )	
			].
		
			spec
				group: 'default' with: #('Coral' );
				group: 'tests' with: #( 'Coral' 'PetitTest' 'OSProcess-Tests' ).
		]! !

!ConfigurationOfCoral methodsFor: 'versions' stamp: 'DamienPollet 8/7/2011 14:22'!
baseline04: spec 
	<version: '0.4-baseline'>
	spec for: #common do: [ 
			spec blessing: #baseline.
			
			spec project: 'Filesystem' with: [
				spec
					className: 'ConfigurationOfFilesystem';
					file: 'ConfigurationOfFilesystem';
					repository: 'http://www.squeaksource.com/fs' ].
				
			spec package: 'AST-Core' with: [
				spec repository: 'http://www.squeaksource.com/rb' ].
			
			spec project: 'OSProcess' with: [
				spec
					className: 'ConfigurationOfOSProcess';
					file: 'ConfigurationOfOSProcess';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].
		
			spec project: 'PetitParser' with: [
				spec
					className: 'ConfigurationOfPetitParser';
					file: 'ConfigurationOfPetitParser';
					version: 'default';
					repository: 'http://source.lukas-renggli.ch/petit' ].
			spec package: 'PetitSmalltalk' with: [
				spec
					repository: 'http://source.lukas-renggli.ch/petit';
					requires: #( 'PetitParser' 'AST-Core' ) ].
			
			spec repository: 'http://www.squeaksource.com/Coral'.
			spec package:  'Coral' with: [
				spec requires: #( 'Filesystem' 'OSProcess' 'PetitSmalltalk' )	
			].
		
			spec
				group: 'default' with: #('Coral' );
				group: 'tests' with: #( 'Coral' 'PetitTest' 'OSProcess-Tests' ).
		]! !

!ConfigurationOfCoral methodsFor: 'versions' stamp: 'DamienPollet 8/7/2011 03:26'!
default: spec 
	<symbolicVersion: 'default'>
	
	spec for: #common version: '0.4-baseline'! !

!ConfigurationOfCoral methodsFor: 'versions' stamp: 'StephaneDucasse 6/29/2010 17:08'!
project
 
	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear.
		"use atomic load on GemStone to resolve some loading issues"
		Smalltalk at: #SystemVersion ifAbsent: [ project loadType: #atomic ]. 
		project ]! !

!ConfigurationOfCoral methodsFor: 'versions' stamp: 'LucFabresse 9/30/2010 16:20'!
version01: spec 
	<version: '0.1'>
	spec for: #common do: [ 
			spec repository: 'http://source.wiresong.ca/mc'. 
			spec package: 'Filesystem'.
				
			spec repository: 'http://www.squeaksource.com/rb'. 
			spec package: 'AST-Core' with: 'AST-Core-lr.79'.
			
			spec repository: 'http://www.squeaksource.com/OSProcess'. 
			spec package: 'OSProcess'.
			
			spec repository: 'http://source.lukas-renggli.ch/petit'.
				spec package: 'PetitParser' with: 'PetitParser-lr.122'.	
				spec package: 'PetitSmaltalk' with: 'PetitSmalltalk-lr.13'.
			
			spec repository: 'http://www.squeaksource.com/Coral'.
			spec package:  'Coral'.
		]! !

!ConfigurationOfCoral methodsFor: 'versions' stamp: 'StephaneDucasse 11/8/2010 09:01'!
version02: spec 
	<version: '0.2'>
	"trying to load latest AST and petitParser/petitSmalltalk"
	spec for: #common do: [ 
			spec repository: 'http://source.wiresong.ca/mc'. 
			spec package: 'Filesystem'.
				
			spec repository: 'http://www.squeaksource.com/rb'. 
			spec package: 'AST-Core' with: 'AST-Core-lr.86'.
			
			spec repository: 'http://www.squeaksource.com/OSProcess'. 
			spec package: 'OSProcess'.
			
			spec repository: 'http://source.lukas-renggli.ch/petit'.
				spec package: 'PetitParser' with: 'PetitParser-lr.205'.		
				spec package: 'PetitTest' with: 'PetitTests-lr.21'.	
				spec package: 'PetitSmaltalk' with: 'PetitSmalltalk-lr.44'.
			
			spec repository: 'http://www.squeaksource.com/Coral'.
			spec package:  'Coral'.
		]! !

!ConfigurationOfCoral methodsFor: 'versions' stamp: 'DamienPollet 8/7/2011 02:54'!
version03: spec 
	<version: '0.3' imports: #('0.3-baseline')>

	spec for: #'common' do: [
		spec 
			package: 'Filesystem' with: 'Filesystem-DamienPollet.114';
			package: 'OSProcess' with: 'OSProcess-dtl.59';
			package: 'AST-Core' with: 'AST-Core-lr.87';
			package: 'PetitParser' with: 'PetitParser-TudorGirba.209';		
			package: 'PetitTest' with: 'PetitTests-TudorGirba.28';	
			package: 'OSProcess' with: 'OSProcess-Tests-dtl.4';
			package: 'PetitSmaltalk' with: 'PetitSmalltalk-lr.46'.]
		! !

!ConfigurationOfCoral methodsFor: 'versions' stamp: 'DamienPollet 8/7/2011 03:17'!
version04: spec 
	<version: '0.4' imports: #('0.4-baseline')>

	spec for: #'common' do: [
		spec
			project: 'Filesystem' with: '2.0.1';
			project: 'OSProcess' with: '4.4.2';
			project: 'PetitParser' with: 'minimal';
			package: 'AST-Core' with: 'AST-Core-lr.87';
			package: 'PetitSmalltalk' with: 'PetitSmalltalk-lr.47'.]
		! !
